commit:     55ca7b83231aa13af99e339bf89505c0b9cbd92f
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 19 16:13:22 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu Jun 19 16:15:42 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55ca7b83

Revert "dev-ruby/bindata: drop 2.4.15"

This reverts commit bec0d59ec49754562ed9a0607d1f07564270a190.

dev-ruby/ruby_smb requires a 2.4.x version but did not list this in its
Gentoo dependencies.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/bindata/Manifest              |  1 +
 dev-ruby/bindata/bindata-2.4.15.ebuild | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)

diff --git a/dev-ruby/bindata/Manifest b/dev-ruby/bindata/Manifest
index 5fda78e86420..b95689f4e722 100644
--- a/dev-ruby/bindata/Manifest
+++ b/dev-ruby/bindata/Manifest
@@ -1,2 +1,3 @@
+DIST bindata-2.4.15.gem 80384 BLAKE2B 
e874f396d1ac7902db0fadca4b2d75da3af6ef553d84cea07a7fefa2fcba46d383c4c4b1ec0db8e744675253fd86dc5e9a287b3834616286a08f1e5605711443
 SHA512 
366b9de24ce6276832f0ea9c76cad70b433aa1f7f29839a1317b0fe2582f9c91d16ea90d74da7364d94f088b53ada2597b0e25cee859487657af4db20efed930
 DIST bindata-2.5.0.gem 83456 BLAKE2B 
237ad6310c1af3af2c57637395082c65d445098a80971debcf1744f97bda027c0a6bcd21ef3f208adee3fd238f50697ec3c28537bd355d434c83f5b7efb6f0ee
 SHA512 
17aa458d9450775f46247f97c04e9c73fbf629321404b1c785e077028ab1edaf5e9bd5cbbc606b950a7bd968b3a1460c55fbbffedad16a4d7df6fc67781ef356
 DIST bindata-2.5.1.gem 83456 BLAKE2B 
2b38572eca4921872283553e67c95754baf03a0f135a99dcef4b641ee17a7a3a94b4e5d71c5729c1f865d54d63801d97d9b77356c4987070e2d121c5e05e1ccd
 SHA512 
c6070a37bbe20ac67d6c5438b889b6542caaeb0a2f475de53a54ca9e006b5a452a5cf5ea5462d128599f2f89f1625c1c5140014101659e9208696e276bc9cb0b

diff --git a/dev-ruby/bindata/bindata-2.4.15.ebuild 
b/dev-ruby/bindata/bindata-2.4.15.ebuild
new file mode 100644
index 000000000000..a170452bcbfc
--- /dev/null
+++ b/dev-ruby/bindata/bindata-2.4.15.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Parsing Binary Data in Ruby"
+HOMEPAGE="https://github.com/dmendel/bindata";
+
+LICENSE="BSD-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~x86"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_prepare() {
+       sed -i -e '/[Bb]undler/d' Rakefile || die
+       sed -i -e '/[Cc]overalls/d' test/test_helper.rb || die
+}

Reply via email to